Quick Start

KoolMoves takes an approach to Flash™ movie creation that is in tune with the animation process, because it was designed by a professional animator. It is a mature animation package with ease of use and power as guiding principles. To make animations in KoolMoves all the user has to do is draw or import shapes or images and then reposition, reshape, and recolor the animation objects in adjacent key frames to achieve the look you want. KoolMoves automatically morphs shapes in between each of the shapes you create to achieve smooth animated motion. It's like putting together a cartoon strip. Each frame contains text, images, shapes, sounds, and actions. For character animation, one frame would have the characters in one pose and in the next frame in another pose.

The help is written primarily for the advanced/cartooning user interfaces. There is extensive context help on major screens. Look for [image] usually in the upper left corner of a screen.

Skill Level Interfaces

In the interest of presenting to the user the easiest user interface for his skill level, KoolMoves has four user interfaces styles. The user can select which user interface he wants to use from the right of the top toolbar and also in File > Preferences > View.

The following table identifies the mapping between functionality and the 4 interface styles.

 | Wizards | Basic | Advanced | Cartooning
Banner wizard | x |  |  |
Slide show wizard | x |  |  |
Effects | x | x | x | x
Full set of drawing tools |  |  | x | x
Shape point manipulation |  |  | x | x
Dynamic text |  |  | x | x
Masking |  |  | x | x
Action scripting |  |  | x | x
Interface components |  |  | x | x
Non-linear morphing |  |  |  | x
Bones |  |  |  | x

Basic Skill Level Toolbars

Shown below are the toolbars for the Basic skill level with icon explanations.

↓Score/timeline | ↓Interface styles

↑Shape and text properties

← Select/move shape and text objects on the drawing canvas

← Insert text effects templates, buttons, clip art, web interfaces

← Insert text

← Insert image (photo)

← Draw ellipse/circle

← Draw rectangle/square

← Apply effects to selected shape and text objects

← Resize selected shape and text objects

← Apply color/gradient/image fills to selected objects

↓Elapsed movie time | ↓Play movie

↑Current key frame | ↑Frame navigation | ↑Copy key frame

Advanced Skill Level Toolbar

Shown below is the tools toolbar for the Advanced skill level with icon explanations.

Select/move objects → | ← Select/move points
Insert image, etc. → | ← Insert text (regular or dynamic)
Create movie clip → | ← Insert library item
Insert component → | ← Draw standard shapes (e.g., circle)
Draw point by point → | ← Draw freehand
Draw line → | ← Add curve
Add point to shape → | ← Delete point
Apply transform → | ← Apply fill (color, gradient, or image)
 | ← Options for selected tool

Some of the toolbar icons have a submenu "drawer". Click on the small triangle on the toolbar icon or click on the toolbar and hold for a second to get the choices.

Most Important Tools

The following are the most important tools (displayed for the Advanced and Cartooning skill levels).

1) A series of three tools, Shape Properties (shown here), Score/Timeline, and Movie Overview are located on the top toolbar. These allow you to view and edit animation objects and their properties.

2) Copy this frame to create the next frame. One of the fundamental tasks of animation is copying the current frame as a starting point for creating the next frame. KoolMoves supports a fully WYSIWYG editing environment. The appearances of the shapes in each key frame are what you see in the Flash™ player (except for action script based effects). To repeat this important concept, the process of creating an animation involves 1) copying the current key frame to make the starting canvas for the next key frame, 2) making changes to the shapes in the new key frame, and so on.

3) Press the pink VCR-like play button to get a menu of four ways to play the animation. To export your animation as a Flash™ movie, just select File > Export Movie to create a Flash .swf file, a Flash .swf file with accompanying HTML, or to add a Flash animation to an existing web page. It is highly recommended that you read the help section on adding an animation to your web page.

Tutorials and More Help Topics

You can view examples created with KoolMoves by going to the Examples folder, in most cases located at C:\Program Files\Koolmoves\Examples.

Following this introduction, a number of topics are provided to guide you through the tasks associated with creating quality animations in KoolMoves and exporting them to the web.

Continue


On-line Tutorials

www.koolmoves.com/fsupport.html has a series of on-line tutorials. Users of the software can contribute tutorials.

necromanthus.com/main.html has many action script examples.

www.bridel.org has many action script examples.

www.geboortegrond.nl/km has many action script examples.

www.flashkit.com/tutorials/index.shtml has a wealth of tutorials on Flash techniques.

Continue


Data Views

There are five important views of the data. Shape properties, score/timeline, movie overview, list of shapes in the current key frame, and list of all key frames. Properties, Score, and Movie Overview are next to each other on the top toolbar and can also be found under Views menu bar.

1) Almost all shape properties are accessible from the properties window. It is the most important of the data views and the popups.

2) A powerful view of the animation is obtained through the Score window. The Score window floats over your workspace and can be positioned anywhere on your screen. It has four tabbed views -- Score, Effects, Actions and Sounds, and Storyboard. The Score view shows the shape population of each key frame and provides functionality for editing frames and shapes. The Score view is equivalent to the timeline view in other Flash tools. An Effects view obtained by pressing the Effects tab provides an environment for viewing and manipulating effects.

3) The movie overview provides a detailed listing of all frames, shapes in frames, actions and sounds, buttons and movie clips.

4) The list of shapes window which can be positioned anywhere and resized by dragging the resizing marks in the lower right provides the ability to lock shapes, view which shapes are masks and which are masked, cut/copy/paste/delete shapes, and reposition the depth of the shapes. Groups are shown as a hierarchy in the shape tree. Shapes in the editing space can be selected by clicking on their names. A name can be changed by selecting the name, clicking again to get a cursor and typing in a new name like you do in Windows Explorer.

5) The list of frames can be used for navigating, renaming key frames, and frame editing (cut, copy, paste, and reversing the order of frames). To change the position of one or more frames in the movie or to cut/copy/paste frames, make your frame selections in the list of frames and use the editing commands on the right. Shift select to select multiple frames. Paste places the cut or copied frames before the currently selected frame. To rename a frame, select the item in the list and click again to get a cursor. Type in the name you want. The window can be resized by dragging the resizing marks in the lower right.

Continue


Adding and Editing Text

By pressing the Text tool on the left toolbar under the shape creation tools, the dialog window shown underneath allows you to customize the text: font, font style, size (partially shown), and letter spacing (not shown). You type your text in the large edit box.

You can edit selected text by double-clicking on the text or right-clicking and selecting Properties. Scale, rotate, flip, and squish transformations will affect text. You cannot manipulate the points associated with a text object. If you desire to do that, convert the text to shapes with points (under Transforms).

You can also add dynamic text which allows input from users or which can be changed as the animation proceeds. This is explained more on the dynamic text page.

Regular text is heavily anti-aliased in the Flash player and is blurry at small type size. This problem cannot be controlled by KoolMoves. FFF Compact is a good font for small type. Dynamic text is lightly anti-aliased and is rendered exactly like text in HTML pages.

Continue


Effects

Using KoolMoves General Effects

You have about half a dozen powerful effects that can be applied to any shape, group of shapes, text, imported SWF movie, or movie clip (Fade In/Out, Expand, Shrink, Zoom In/Out). The effects are found under Effects menu bar, on the Effects tab of the Properties popup, the Effects view of the Score popup, and for the Basic Skills interface on the tools toolbar. First select a shape and then select the effect. Most of the effects occur over several key frames and you can specify how many key frames when you create the effect or at a later time by using Effects > Modify or by editing the effect in the Properties popup. You can also combine effects in many cases. Just add another effect.

A special kind of effect called motion script uses sophisticated Flash 5 action scripting to create the effect. Each of these motion scripts is highly customizable. Motion scripts cannot be combined with other effects.

The advantage of the regular built in effects like fade in and zoom in is that they can be applied to any object and they preserve any frame-by-frame user imposed color, shape, and position changes. The advantage of the action script-based effects is that they are more unique and are highly parameterized.

Shapes with a motion script effect are displayed in the editing screen with a surrounding blue dashed box. Other effects are displayed with a green dashed box.

Using Text Effects Templates

KoolMoves provides a library of text effects templates. Select Libraries > Text Effects. These are regular KoolMoves .fun files which provide the layout and motion paths for text effects. You enter your text and font selection and the software performs the text and font replacement. Select a text effect from the selection of text effects on the left. You can see the text effect in realtime on the right, superimposed over the background movie.

Under the animated text effect, there are colored buttons. Each button represents a color in the template. You can change the colors of the text effect by pressing these buttons and selecting different colors.

To reposition the text effect on the screen, change the values of the X Offset and Y Offset. Zero offsets correspond to a centered position.

To change where the text effect starts relative to the underlying movie, select a Start At key frame. Frames that exceed the current length of the movie have "added" in parentheses. The button to the right allows you to view that key frame. The text effect has a natural frame length which is reflected in the End At key frame. You can override this if you want to stretch the text effect to cover more of the underlying movie. In most cases, you will not need to change the End At key frame. Changing the End At key frame does not affect the speed of the text effect because as you lengthen the text effect, the tweens for each frame are decreased. To control speed independent of number of key frames, set the Speed at a setting between Very Slow and Very Fact or change the speed of the main movie (Movie > Movie Speed). The Speed setting affects the number of tweens between the frames.

To add the text effect to the underlying movie, press Add. You are free to use any of the positioning, coloring, and transform tools to edit the text effect at this time or you can undo the text effect by pressing the Undo button.

If you want the last frame of the text effect to play for a long time, increase the number of tweens for the previous frame or duplicate the last key frame a number of times using Frames > Insert Copy of Frame. Also, you can use Edit > Paste to End of Movie to paste the text characters in the last frame of the text effect to the remainder of the movie.

Creating Your Own Text Effect

It is easy to create your own text effects. The basic principle is to create the stages of the text effect in a series of key frames. This example illustrates a series of letters which write on the screen starting very large and transparent.

In step 1, the text tool is clicked and a single letter is entered. The size of the letter does not matter because we are going to scale it. The letter is shown on the right.

In step 2, the letter is made transparent using the paint bucket tool.

In step 3, the letter is scaled to a very large size using the scaling tool.

In step 4, the current key frame is copied and added to the end of the movie.

In step 5 in the last key frame, the letter is scaled to the final size using the scaling tool.

and the transparency is removed using the paint bucket tool.

The current key frame is copied to the end of the movie and the process is repeated for the next letter in this case "o". And so on for each letter. Some fiddling of the sizes of each letter will be necessary to produce a polished look.

When the movie is played, the effect is that each letter appears in sequence. The text effects you can create are endless.

Creating Your Own Transition

It is easy to create transitions. The basic principle is to create the stages of the transition in a series of key frames. This example illustrates an image that comes from the left into the movie frame as a small transparent image and becomes more opaque and larger as the image moves to the center of the movie frame. Later, several built-in transitions will be discussed.

In step 1, an image is imported using File > Import Graphic Image. To start the transition, the image is dragged to the left of the movie frame.

In step 2, the image is made small and transparent using the scale and paint bucket tools.

In step 3, the current key frame is copied and added to the end of the movie.

In step 4, the image is dragged to the center of the movie frame in the last key frame.

Finally in the last key frame, the paint bucket and scale tools remove the transparency and return the image to its original size.

When the movie is played, the image slides in from the left from a transparent, small state. The transitions you can create are endless.

KoolMoves has 6 built-in transitions -- initial fade in, final fade out, initial grow from nothing, and final shrink to nothing, initial zoom in and final zoom out. They take effect at the beginning or end of the shape's life in the movie depending on whether the transition is called initial or called final. These transitions can be set in the Properties popup for the selected shape or through the Effects menu bar. Transitions occur over a set number of key frames. When a transition is added to a shape, if there aren't enough frames for the transition to occur, frames will be added if the "Add frames if needed" check box is checked. Transitions can be combined, although the fade transitions are not a good combination with drop shadow.

Continue


Add to Web Page

To run a Flash animation from your web page involves: (1) creating a swf file with KoolMoves and (2) adding javascript code to your web page which references the swf file. KoolMoves will create the javascript code for you. Both the swf file and your html file with the javascript are uploaded to your web server. This is analogous to creating an image in an image editing tool and adding code to your web page to display this image. Look under File > Export Movie for a number of different approaches to creating swf files and adding the necessary code to your web page.

If your interest is animated gifs, use File > Export Movie > Capture Movie Frame to capture the portion of the screen inside the movie frame and save as a .bmp. Capture a series of frames (e.g., navigate to a frame, capture the frame, navigate to another frame probably the next, capture the frame, and so forth). Use software for creating animated gifs to transform the series of bmps into an optimized animated gif. There are many such specialized products available. See Gif Creation.

Users of FrontPage, see Using KoolMoves with FrontPage.

Users of CoolPage, see Using KoolMoves with CoolPage.

Users of NetObjects Fusion, see Using KoolMoves with NetObjects Fusion.

A KoolMoves animation can be exported as a Flash™ movie (.swf format) with File > Export Movie > Save as Flash Movie. You can create a stand-alone .swf file, a .swf file and a .html template file which references the .swf file, or add a Flash animation to an existing web page. Both swf and html files are needed for the animation to play on the internet. Movie properties (width and height, speed, background color or image) can be set with menu items associated with Movie menu bar prior to exporting the files.

Koolmoves can provide you with the necessary javascript code to call the Flash movie as one of the choices in File > Export Movie > Add to Existing Web Page. To replace a gif or jpeg image in an existing HTML file with a Flash movie, manually replace the <IMG SRC="....gif" WIDTH="..." HEIGHT="..." BORDER="0" ALT="..."> HTML code in your existing HTML file with all javascript code that KoolMoves provides starting with <OBJECT and ending with </OBJECT> by first copying the <OBJECT... code and then pasting over the <IMG code... You can use copy/paste editing capability in your web page editor or in NotePad. A word of caution: do not paste javascript code onto your web page using FrontPage. The code will be pasted into a block of text and the javascript will not run correctly.

The name of the .swf file in the HTML file must be the same as the name of the .swf file on the server. If your server does not accept a .html extension, you can rename the extension to .htm. It is best not to include spaces in the name as this causes problems with Netscape browser.

Both the .html and .swf files are next sent to your web site by ftp. When you ftp the .swf file to your web site, make sure you send it as a binary file. The .html or .htm file must be sent as ascii. The better ftp programs like FtpVoyager do this automatically. www.pageresource.com/putweb/ provides assistance in how to ftp your files to your server.

If you are having trouble getting the animation to play on the internet, these steps are recommended:

1. If you double-click on the .html file generated by KoolMoves on your local disk, does the animation play in your default web browser. If it does, the .html and .swf files are OK. If it doesn't, your browser may not have Macromedia's Flash player. Go to the web site associated with your browser or to http://www.macromedia.com and download the player.

2. Upload the KoolMoves generated .html (as ascii) and .swf (as binary) files to your web site. Does the animation play on your web site if you go to the KoolMoves generated web page? If not, there is a problem in how you sent the files to your web site.

See Add to Web Page Details for more detailed information.

Continue


Drawing

There is a rich selection of drawing tools in KoolMoves: freehand, primitive shapes (ellipse, circle, rectangle and square), and shapes/lines drawn point-by-point.

Toolbar buttons with arrows in the lower right have drawers (sub-selections). You can view the sub-selections by pressing the toolbar button until the sub-selections appear or by pressing on the triangular arrow in the lower right of the toolbar button. The selection indicated on the toolbar button is the active selection.

The freehand drawing tool allows you to draw like you would using a pencil. The first and last points are automatically connected when you release the mouse. If you don't want them to be connected, after the shape is drawn change the Closed property of the shape. The points generated by freehand drawing are curve fit to achieve a modest number of points. You can add or delete points later if needed.

The tools for drawing primitive shapes make it easy for you to draw circles, squares, rectangles, and ellipses. You click the left mouse button at one corner of the shape you want to draw and drag the mouse to the opposing corner of the shape. Release the mouse and the shape is drawn.

At the bottom of the tools window are three options: fill color, border or line color, and border or line thickness. These options are present with any of the drawing tools and once set will remain until changed. Changing these options does not affect existing shapes already drawn.

Shapes drawn point-by-point allow you to control the placement and number of points. The shape is drawn without curves which can be added later. You click the left button to define each point and continue until you have completed the shape. To finish, you double-click. The first and last points are automatically connected. If you don't want them to be connected, change the Closed property of the shape

There are situations when you want to have one section of the shape without a border (e.g. in drawing a nose).

Click the left button to define each point and continue until you have completed the shape. To finish, double-click.

After double-clicking, the border is drawn. The fill color is white by default.

Use the Shape Fill tool to color the nose with a flesh color. The border is not connected between the first and last points that were drawn. If we later want to fill in the border between the first and last points, change the Closed property of the shape. To remove the nose color and make the interior of the shape transparent, change the Filled property of the shape. This will give us a line.

Shapes and lines with curves are defined by on-shape points and off-shape points (indicated by dashed circles). Technically, curves are quadratic bezier splines. You can change the shape of the curve by moving selected points, on-shape and off-shape, by dragging or using the arrow keys.

You can control the appearance of a shape through its:

1) Fill
2) Border thickness
3) Border/line color
4) Last border segment

Lines are shapes that are not filled and have a border with the last segment not drawn. Lines can be changed to shapes by setting the Filled and Closed properties to yes. Text does not have a border.

Continue


Selection

Shape and point selection tools are located on the top part of the left toolbar. These tools are used a lot. In addition to providing selection capability, they also allow you to move shapes and points. You can move previously selected shapes or points by dragging the mouse with the left mouse button depressed.

One way to select a shape is by clicking on the shape when the shape selection tool is active. If you click on a shape with the shift key depressed, you will add to any previous selections.

Another way to select one or more shapes is by dragging the mouse across the shapes totally enclosing them. If you drag the mouse with the shift key depressed, you will add to any previous selections.

A third way to select one or more shapes is by invoking the list of shapes (under Shapes) and selecting from that list. Shapes are automatically named as they are created but you can change the name by editing the name in the list.

A point can be selected by clicking on the point when the point selection tool is active. The selection area associated with a point can be set under Points. If you click on a point with the shift key depressed, you will add to any previous selections.

Onother way to select one or more points is by dragging the mouse across the points totally enclosing them. The points can be associated with different shapes. If you drag the mouse with the shift key depressed, you will add to any previous selections.

It is important to appreciate that point and shape selection is very general. You can select multiple shapes or multiple points. The multiple points can even be associated with different shapes. Selected shapes and points can be moved by dragging the mouse or by pressing the arrow keys.

Selection can also apply over many frames. There are four degrees of shape and point selection: (1) current frame only (the most common), (2) all frames in the movie, (3) all frames from the current frame to the first frame, and (4) all frames from the current frame to the last frame.

The ability to select over multiple frames is very powerful. For example, if you change the color of a shape in the current frame and the shape has been selected over multiple frames, the color change will be applied to each of the selections. To prevent inadvertent sweeping changes, you are first asked if you want to change the other frames. The ability to change selected shapes and points over multiple frames based on what you are changing in the current frame applies to most of the functions in KoolMoves -- transformations, shape fills, translation, etc.

Sometimes you want to exclude some points from possible selection. An easy way to do this is to select the shape associated with the points you want to select and then select the point selection tool. Only the points associated with the previously selected shape will be visible. To hide shapes or points you can use Shapes > Hide Selection or Points > Hide Selection. Selecting Shapes > Show Shapes or Points > Show Shapes brings the shapes or points back. Shapes > Invert or Points >Invert inverts the current shape or point selection.

Continue


Coloring

Shapes and text can be filled with a solid color (with or without transparency), a color gradient, or a tiled image. Access to the Shape Fill dialog is through the shape properties dialog box and the Shape Fill tool on the left toolbar.

To fill with a solid color:

Select Solid Color at the top of the dialog. You can (1) enter red, green, and blue (all 0 to 255 in range) and a transparency value (0 to 100 in range), (2) select with your mouse from the color wheel (partially shown), (3) use red, green, blue, hue, saturation, and lightness sliders (press the button on the left under the transparency value), or (4) use an eyedropper (press the button on the right under the transparency value) to select a color from another shape on the drawing canvas. To view the shape fill before committing, press Preview. On OK, the shape fill is applied to all selected shapes.

To fill with a color gradient:

Select Color Gradient at the top of the dialog box. A gradient fill is comprised of up to eight color pointers. The color associated with the selected color pointer is shown underneath the gradient definition bar. The color of the selected color pointer (it is the color pointer which is depressed) can be changed by (1) entering red, green, and blue values (all 0 to 255 in range) and a transparency value (0 to 100 in range), (2) selecting with your mouse from the color wheel (partially shown), (3) adjusting the red, green, blue, hue, saturation, and lightness sliders.

The color gradient can be either linear or radial. Color pointers can be dragged to the left or right along the gradient definition bar to change the gradient effect.

A color pointer can be added by pressing the small button with the plus sign. The mouse cursor turns into a color pointer with a + in the middle. Click at a position on the gradient definition bar. Then change the color of this color pointer. A color pointer can be deleted by pressing the small button with the minus sign and the selected color pointer is deleted.

An example of a selected rectangular shape filled with linear gradient is shown here. Only a shape with points can be filled with gradient color. To fill text with gradient color break it apart into a shape with points (Transforms/Break Apart Text).

The rotational orientation and position of the gradient fill can be adjusted with Rotate/Shift Gradient Fill under Transforms.

Moving the center of the gradient fill to the right shifts the gradient to the right.

Moving the cursor around the center rotates the gradient.

To fill with an image:

Select Image at the top of the dialog box. Use the Browse "..." button to locate your image file. Bmp, jpeg, tiff, pcx, and png file formats can be imported. Transparency in png files is ignored at this time. If you use the same image with the same filename multiple times throughout the movie, KoolMoves is smart enough to store the image only once in the exported Flash™ movie. If the image is larger than the shape, only the upper left portion of image will fill the shape. If the image is smaller than the shape in any dimension, the image will tile to fill the shape. Only a shape with points can be filled with a image. The transparency of the image can be adjusted with a slider.

You can preview the fill by pressing Preview. On pressing OK, the fill, either color, gradient, or image, will be applied to all currently selected shapes and, if the fill is color, to all selected text.

Continue


Shape Properties

You can control the appearance of a shape with points through its:

1) Fill
2) Border thickness
3) Line color
4) Last border segment

To make the interior of the shape transparent, select Filled and choose No.

This shows a shape that is not filled.

To change the border thickness around the shape or the thickness of a line, select Line Width.

This shows a shape with no border (i.e., line width equal to 0).

To set whether the last border segment of the shape is drawn or not, select Closed.

This shows a shape with the last segment not drawn. When the shape is also not filled, we have a line.

The property dialog for text looks different because text has different properties than shapes with points. The color of text can be changed by clicking on the Color property. A dialog that lets you set color will appear. The text, font, font size can be edited by clicking on the Type property. A dialog will appear in which you can edit the text.

Assigning button properties and making a non-text shape into a symbol are explained in the next section.

Continue


Frame Events

Sounds and actions can be added to frames. Select Views > Actions and Sounds or use the Actions and Sounds tabbed page of the Score View.

With this dialog, you can enter sounds and actions associated with frames of the animation. This is very simple. Select a frame by clicking on its name. Click on the ... button in the Sound group box and browse your file directory to select a MP3 or wav sound file. When the animation plays that frame in your web browser the sound will also play. There are also a wide range of actions that can be activated when the frame is played. Click on the Add Action + button in the Action group box. This dialog also provides a view of button actions and sounds. Because a button often appears in all or most of the movie, the button events are listed for only the first frame the button appears in.

Sounds (MP3 and .wav PCM formats) can be added to KoolMoves movies. There are about 68 individual wav formats. At this time, KoolMoves only supports PCM type. Press the folder button to select the file location of the sound. Press the sound icon to play the sound (MP3 sound is played in a web browser window using the Flash plugin). The trash can icon will delete the sound. The waveform icon will show the sound in an audio editor of your choice once the audio editor has been defined in File > Preferences.

If you use the same sound file multiple times throughout the movie, it will be referenced that many times in the Flash™ movie but only defined once.

Sound files tend to be huge which can make the exported swf file huge. To make sound small, take these steps: in a sound editing program convert from stereo to mono and to the smallest sample rate that gives you the quality you need. Shortening the sound track also helps.

Sounds can also be attached to button states (e.g. moving the mouse over a button or on pressing a button). See button sounds for more information.

Sounds do not play when running your animation in KoolMoves' internal player.

If a sound plays longer than the movie plays and if the movie loops, the sound from the first loop will continue playing during the second loop until the sound from the first loop finishes. The sound effect worsens as the movie continues to loop. To solve this problem, add Stop Sound action to the last frame.

If your sound file is sampled at a rate other than 5500, 11025, 22050, or 44100, the sound will play in the Flash player at a rate nearest to one of the four rates listed above.

The duration of a sound is indicated in the Actions and Sounds View window and in the Actions and Sounds page of the timeline by a sound icon followed by small squares.

This is a brief explanation of the frame actions:
a) Go to Frame specifies a frame to jump to (if previous or next frame is selected, it could be a tween frame if that is the adjoining frame)
b) Play plays the movie from the current frame
c) Stop stops the movie at the current frame
d) Stop Sounds stops all sounds
e) Load Movie loads a movie (explained more below)
f) Unload Movie unloads a movie
g) Set Dynamic Text sets the text content of a dynamic text object
h) Load Dynamic Text loads text into a dynamic text object from a .txt file (the file starts with the name of the text object followed by equal sign followed by the text without quotes)
i) FS Commands provides a general method for Flash to send a message to whatever program is hosting the Flash player
j) Javascript

It is important to note that a stop movie action in the first frame is often ignored by the Flash player. The solution is to create a dummy first frame.

For use on the web, the URL for the loaded movie can be an absolute or relative URL, but, for testing purposes, all the movies must be in the same directory without directory or disk drive specifications in their names. When testing a movie using Play in Browser, any HTML and SWF files, referenced by Get URL or Load Movie actions, MUST be in the same directory as the fun file for these button actions to access these files or set the directory for playing the movie in Preferences.

In order to daisey chain movies together, you use Load Movie. Create a base movie that loads in the other media and then loops - make sure that you do not loop in the load movie action. Load your main movie into Level 2 and your background into Level 1. Run your movie to the end then use a Load Movie command into Level 2. This will load the new movie into that level. Then create aditional frames and loop back.

Load movie loads a movie without closing the current movie. Unless you include in the loaded movie a shape under all other shapes that equals or exceeds the size of the movie frame and that is filled with an opaque color or a bitmap, you will see the first movie underneath the loaded movie. The size and speed of the movie are set by the movie at level 0.

None of the frame actions function in the KoolMoves internal player.

Continue


Links, Buttons and Symbols

Links and Buttons

To make a shape or text into a button, select "yes" for "Is a Button" in the Properties popup. A button can serve as a link to another web page but it can be much more than that. You can design the button's appearance to change for different mouse events, and you can program actions like go to another web page on release of the button (called GetURL action).

A button can dynamically assume in the Flash player or on a web page different appearances, reflecting whether the mouse is away from the button, over the button (e.g., mouse-over effects), or has pressed the button. To achieve such effects, you select "yes" for the "Has States" property. Upon selecting yes, the property dialog changes. Three buttons, Up/Over/Down, are added to the top. You create and edit the three button states from the Up/Over/Down buttons at the top of the properties popup. Each state can have its own sound, shape color, etc. A point of confusion, it that the actions for the button -- what the button does like cause the web page to change -- are added to only the Up state property page (the state of the button when the mouse is not over it or being pressed). Because the interface is WYSIWYG (what you see is what you get), the button appears in the final animation for each frame the button appears in the editing environment. In other words, if the button is missing in a frame, it will be missing in the final animation in that frame.

If you press the Over button (corresponding to mouse events roll over, roll out, drag over, and drag out) for the first time, a popup will appear asking you if you want to create the over state from a previously drawn state or if you want to draw it from scratch. If you are only changing the color of the state, you would select copy the up state and edit the color from the value corresponding to the up state to the value you want to correspond to the over state.

When the Over button is pressed, you can change properties of the over state and edit the shape corresponding to the over state. A faint image of the shape corresponding to the up state is displayed under the shape for the over state for alignment assistance. If you want a sound to play when the mouse moves over the button, add the sound to the Over state property page near the bottom. If you want a sound to play when the mouse is pressed or released over the button, add the sound to the Down state property page.

By pressing on the actions property button in the up state of the button, you can assign and edit the actions for the button which may be triggered by different mouse events.

The + button presents you with the possible button actions (we will be adding more soon), most of them self-explanatory. Each of these actions can respond to one or more mouse events.

Selecting Get URL, presents us with this popup. We can select which mouse events active Get URL action. The URL for the action is filled in. The over state of a button is activated for roll over, roll out, drag over, and drag out mouse events. The down state of a button is activated for press, release, and release outside mouse events.

On pressing OK, the action is added to the list of actions associated with this button. Any action can be edited or viewed in more detail by double-clicking on it or by selecting it and then selecting the properties button (second from the left at the top of the popup).

If we want a roll-over effect when the mouse passes over the square in addition to going to the URL on mouse release, we add a second action, Mouse Effect, to our list of actions and select Roll Over as a triggering mouse event. Mouse Effect action is unique in that is only controls the appearance of the button with no resulting action taken.

On pressing OK, we see both actions associated with this button.

This is a brief explanation of the other button actions:
a) Go to Frame specifies a frame to jump to (if previous or next frame is selected, it could be a tween frame if that is the adjoining frame)
b) Play plays the movie
c) Stop stops the movie
d) Stop Sounds stops all sounds
e) Load Movie loads a movie (explained more below)
f) Unload Movie unloads a movie
g) Print and Print as Bitmap actions provide the cability to print key frames
h) Set Dynamic Text sets the text content of a dynamic text object
i) Load Dynamic Text loads text into a dynamic text object from a .txt file (the file starts with the name of the text object followed by equal sign followed by the text without quotes)
j) Send Form Data retrieves text from dynamic text objects and sends it to an url
k) FS Commands provides a general method for Flash to send a message to whatever program is hosting the Flash player
l) Javascript m) Tell Target actions provide communication to other movies

For use on the web, the URL for the loaded movie can be an absolute or relative URL, but, for testing purposes, all the movies must be in the same directory without directory or disk drive specifications in their names. Also, there should be no spaces in the name as this will cause problems in Netscape web browser. Http:// should not be in the URL for a loaded movie because it will also cause problems with Netscape web browser. When testing a movie using Play in Browser, any HTML and SWF files, referenced by Get URL or Load Movie actions, MUST be in the same directory as the fun file for these button actions to access these files or set the directory for playing the movie in Preferences. Load movie loads a movie without closing the current movie. All of the higher levels have transparent backgrounds which allows to see the layers underneath. Unless you include in the loaded movie a shape under all other shapes that equals or exceeds the size of the movie frame and that is filled with an opaque color or a bitmap, you will see the first movie underneath the loaded movie. The movie background color, size, and speed are set by the movie at level 0. None of the button actions function in the KoolMoves internal player.

In order to daisey chain movies together, you use Load Movie. Create a base movie that loads in the other media and then loops - make sure that you do not loop in the load movie action. Load your main movie into Level 2 and your background into Level 1. Run your movie to the end then use a Load Movie command into Level 2. This will load the new movie into that level. Then create aditional frames and loop back.

The actions for a button cannot vary from frame to frame. If you want a button's actions to change from one frame to the next, copy and paste the button in the same frame that contains an instance of the button and then cut and paste this button to the frame where you want the actions to be different. This procedure creates a button that looks the same as the original but allows you to have different actions. Hopefully, in the future there will be a better solution for this situation.

Symbols

One of the principal methods for creating small Flash™ animations is by making as many shapes into symbols as possible. A symbol is a shape that is shared by other shapes (called instances of the symbol). If you move a point in one instance it will be moved in all instances throughout the movie (KoolMoves first asks you if you want to change all instances). If you change the gradient in one instance, all instances will be changed. And, so on. The exceptions to this are the interior color of the shape, shape position, scale and rotate transformations. These four only change the instance acted upon, not all instances. This is dictated by the Flash file format.

For simplicity, KoolMoves treats all text shapes as symbols.

If you have shapes that appear more than once in a single frame or in multiple frames, then it is advisable to make these shapes into symbols if you do not intend to move individual points from one frame to the next. In many cartooning situations, you would want to move points from one frame to the next to make a mouth move to simulate talking or to made a hand move to simulate waving, etc. so such shapes would not be good candidates for symbols. If the shape is stationary and undergoes no change throughout the movie, it is not necessary to make the shape into a symbol (KoolMoves will automatically handle this situation). In the future, we will be providing a method to optimally convert shapes into symbols after the animation is complete so it is not necessary to be thinking about this optimization while you are developing an animation.

To make a shape into a symbol, select Yes for the Symbols property. This should be done immediately after creating the shape before a copy is made within a frame or a frame is copied. Notice that the points to the shape have a different appearance to indicate that these points are potentially shared with other shapes. The symbol instance is edited like any other shape. If the change affects other instances you will be warned.

Continue


Roll-Over Example

This basic tutorial will define the steps necessary to create a simple roll-over effect using an oval button with a gradient fill. We start by drawing an oval.

The oval is given a gradient fill and the border is removed by setting the border thickness to zero.

The oval is made into a symbol by selecting yes value for "Is a Symbol" (a necessary step before making the oval into a button). Then "Is a Button" is given a yes value. To produce a roll-over effect, the button must have an over button state (the appearance of the button when the mouse is over it), so "Has States" is given a yes value. Then the button's response (its actions) to mouse events is defined.

To achive a simple roll-over effect with no other action, Mouse Event is selected. If we want an action to occur when the button is pressed, we would select Get URL, Go To Frame or whatever the action is. We can have as many actions occur responding to mouse events as we like. But to achieve a simple roll-over effect which is our current task, we only need to select Mouse Event.

We check Roll Over. If we had a down state defined, we could check Release and/or Press as well.

After pressing OK, we return to the prior popup and see the action we just defined in the list of button actions. By double-clicking on it we can edit the action. By selecting "+" we can add another action.

Now we are ready to define the over state of the button (the button's appearance when the mouse is over the button). We press Over at the top of the properties popup. Because the over state has not been defined, we are asked if we want to create the over state from another state we have created or if we want to draw it ourselves. We select to copy it from the up state (the button's appearance when the mouse is not over the button) which is displayed to the left in a dimmed silhouette to provide us with positioning information. If we had selected the last option to draw it ourselves, we would be free to draw any text or non-text shape. If we position the over state with an offset relative to the up state, when the mouse goes over the button while the animation is playing the button will shift in position reflecting that offset.

To make the button's over state different than the up state, we change the gradient colors of the button's over state. We press the Up button at the top of the properties popup to exit the over state and we are ready to test the roll-over effect justed created.

We select play in stand-alone player. With the mouse away from the button we see the gradient color associated with the button's up state.

With the mouse over the button, we see the gradient color associated with the button's over state. Our test is successful!

To use as a navigation element, we could place text over the oval. On mousing over the text, the background oval would change color.

Continue


Masking

Masking is a very powerful technique. The following illustrates a simple animation example of letters being revealed from left to right using a gradient and a text mask.

We start with a circular shape, no border, that is filled with a gradient. On top of that we place a text shape. The text is the mask. Think of it as a cookie cutter. The mask cuts out what is underneath to the extent of its masking depth which in this case is 1. The fill or color of the mask is immaterial. The mask itself is invisible when the animation plays. In the editing environment, the mask is by default visible.

A shape is made into a mask in the property dialog. The depth of the masking effect is also assigned in the property dialog. Anything except buttons can be made into a mask.

In the first frame, the gradient filled shape is positioned to the left of the text. The frame is copied and the gradient filled shape is positioned to the right of the text. During animation, the gradient will sweep across the text revealing the letters.

This is how it looks when the gradient filled shape is underneath the center of the text (in this case the animation would span three key frames).

To see the effect of the masking, press Ctrl+M. This is how the animation will look when this key frame is played. Ctrl+M removes the masking effect and the mask is made visible again.

The shapes dialog identifies masking shapes and shapes which are clipped by masks with two different icons. The mask is always on top of the shapes which are clipped by the mask.

Continue


Editing and Playing Frames

To make a movie grow in size, you typically copy your current frame to the end of the movie. In the new frame, you change positions of shapes, move shape points, change colors, add new shapes, etc. to develop the animation.

You can navigate between key frames by moving the frame slider or pressing first frame, previous frame, next frame, or last frame buttons on either side of the slider. The name of the current key frame is shown on the left.

You can display a list of all the key frames using Views > List of Key Frames. This list can be used for navigating, renaming key frames, and frame editing (cut, copy, paste, and reversing the order of frames). To change the position of one or more frames in the movie or to cut/copy/paste frames, make your frame selections in the list of frames and use the editing commands on the right. Shift select to select multiple frames. Paste places the cut or copied frames before the currently selected frame. To rename a frame, select the item in the list and click again to get a cursor. Type in the name you want. The window can be resized by dragging the resizing marks in the lower right.

The number in the combobox is the number of tween frames between the current frame and the next. You generally want this number to be greater than zero so KoolMoves will generate smooth transitions (called morphing) between the key frames. Adding tween frames in most cases is cheaper than adding key frames in terms of the size of an exported Flash™ movie, particularly for shapes with many points. Adding tween frames also lets you control the speed of the movie at a specific frame -- the more tween frames, the slower the transition to the next key frame.

KoolMoves has an internal player which plays the movie in a loop. You can also single-step through the movie. You can view the movie in your web browser as a Flash™ movie on a blank web page or in a stand-alone Flash™ player if you have one. You can download a free Flash player from Macromedia.

Continue


Reshaping

The heart of animation is movement. Movement is achieved by changing shapes from one frame to the next. Change can take many forms: moving a shape from one position to another, moving or transforming points associated with a shape, changing the color of the interior or border of the shape, adding or removing points from the shape. KoolMoves provides a number of tools to accomplish all these tasks without getting in the way of your creativity.

To move a shape or a group of shapes is simple. Select the shape or group of shapes with the shape selection tool and drag the mouse. For fine precision movement, you can use the arrow keys. The combination of shift plus an arrow keys produces a movement of 10 pixels.

To move a point or a group of points is equally simple. Select the points with the point selection tool and drag the mouse. For fine precision movement, you can use the arrow keys.

Shapes and lines with curves are defined by on-shape points and off-shape points (indicated by dashed circles). You can change the shape of the curve by moving the points.

To add a point to the boundary of a shape use the Insert Point tool (whether the shape has a border or not or whether the fill is a color or a bitmap).

You get a cursor that indicates when you are allowed to add a point. It looks like this when you are not on a boundary line.

And it looks like this when you are on a boundary line.

Click the mouse and a point is added.

Without releasing the mouse, you can drag the point to a new position.

To delete a point on the boundary of a shape use the Delete Point tool.

You get a cursor that indicates when you are allowed to delete a point. It looks like this when you are not on a point.

And it looks like this when you are on a point.

Click the mouse and the point is deleted.

To change the boundary of a shape from a straight line to a curved line, use the Add Curve tool.

You get a cursor that indicates when you are allowed to add a curve. It looks like this when you are not on a straight boundary line.

And it looks like this when you are on a straight boundary line.

Click the mouse and a curve is added.

Without releasing the mouse, you can drag the curve point to a new position.

To scale, rotate, flip horizontally or vertically, slant, squish, or create perspective on one or more selected shapes or one or more selected points, use one of the transform tools.

Most of the tools present a set of handles that you can drag in different directions to achive the effect you want. Shown on the right, the mouse is dragging the handle associated with scaling the same amount in the x and y direction.

The rotation tool lets you define the center of the rotation indicated by the small square plus cross mark. You drag this square to set the center of rotation.

Another tool slants the selection.

Not shown are the flip, squish, and perspective tools. All the tools transform text except slant and perspective.

Squash is the effect used in animation to show the effect of gravity on an object. Stretch is the effect used to show the effect of movement against gravity. A good example would be a rubber ball bouncing. When the ball hits the ground, its shape changes from a circle to an ellipse and as it accelerates back into the air (bouncing) its form stretches slightly. Both squash and stretch can be created by using the squash tool in the effects tool section.

Continue


Movie Clips

Movie clips are an advanced feature of KoolMoves. It is a movie within a movie with its own frames. Movie clips are important because the properties of movie clips can be dynamically changed via action scripts.

There are two ways to crete a movie clip: press the new movie clip toolbar button (under the select arrow in the tools popup) or press the convert shapes to movie clip toolbar button (on the movie clip submenu drawer). There commands are also located under Shapes on the main menu bar.

In converting shapes to a movie clip, the selection scope -- this frame only, all frames, etc. -- determines the composition of the movie clip. If you select a number of shapes in the current key frame and select all frames for the selection scope, all those shapes in whatever frames they appear will be converted into a movie clip.

A selected movie clip symbol is similar to a regular symbol except for the blue/gray shading in the corners. Double-clicking on a movie clip symbol produces its properties dialog. Its properties are 1) transition effects and 2) onClipEvents utilizing action scripts. To reveal the composition of the movie clip and enter its timeline, press the Frames button at the top of the properties dialog.

In the Properties popup, you can create and assign values for parameters to the movie clip. These parameter asignments are exported in the swf to the top of the first frame of the movie clip. Parameters offer the opportunity for reuseable movie clips that can be customized by the end user.

Continue


Bones

Bones can be attached to anything except symbol shapes. If you are currently drawing shapes as symbols, you should probably turn off this option in Preferences. Bones capability is only available in the Cartooning interface style.

Bones is a feature that often comes with expensive character animation software. It provides the designer with the ability to attach a skeleton to a figure. Changes in the position of the limbs of the figure can be achieved efficiently by manipulating the skeleton. The nickname for this feature is often called bones. KoolMoves has a primitive bones system.

To attach bones to this simple figure, indicate in the properties dialog for the shape that the figure has bones. Bones can be attached to a single shape or a shape group. To add or edit bones, press the Bones button at the top of the dialog.

Similar to editing button states, you are given an environment for editing bones against the faint image of the shape to which the bones are attached. The draw bones tool behaves identically to the line drawing tool in the main editing window.

You draw bones by dragging the mouse and clicking the mouse at each joint.

Double-click to finish. When you release the mouse, all the joints are highlighted.

Other limbs are drawn in a similar fashion.

This is what is looks like when all the bones are added.

Certain joints you would like to be shared between different limbs. The way to do that is by using the join tool. Press the join tool and drag a box around the joints you would like to act as a single joint. Under the join tool is an unjoin tool.

When you are finished editing the bones, press the return to key frame button. This shows the figure with its newly added bones in the main drawing window. You can move joints in this window by selecting the select/move joints tool.

This illustrates selection and movement of a joint. There is much room for improvement in our implementation particulary regarding the dynamic interaction between the bones and body of the figure

You can view the primary and secondary joints the program uses in controlling each shape point by clicking on View > View Associated Joints and selecting a shape point. Some points only have a single joint controlling them.

Continue


Shortcut Keys
< | Single step backwards
> | Single step forwards
Ctrl+A | Select all shapes
Ctrl+Shift+A | Unselect all shapes
Ctrl+B | Add blank frame
Ctrl+Shift+B | Align bottoms
Ctrl+C | Copy shapes
Ctrl+Alt+C | Center
Ctrl+D | Dependencies
Ctrl+E | Sounds and actions
Ctrl+G | Group shapes
Ctrl+Shift+G | Ungroup shapes
Ctrl+H | Hide/unhide shapes
Ctrl+Atl+H | Flip horizontally
Ctrl+Shift+H | Align on horizontal centers
Ctrl+I | Invert selection
Ctrl+K | List key frames
Ctrl+L | Last selection
Ctrl+Shift+L | Align left
Ctrl+M | Show masking
Ctrl+N | New file
Ctrl+Alt+N | Numeric transform
Ctrl+O | Open file
Ctrl+Alt+P | Perspective
Ctrl+Alt+Q | Squish
Ctrl+Alt+R | Rotate
Ctrl+Shift+R | Align right
Ctrl+S | Save file
Ctrl+Alt+S | Scale
Ctrl+Alt+T | Slant
Ctrl+Shift+T | Align tops
Ctrl+V | Paste shapes
Ctrl+Alt+V | Flip vertically
Ctrl+Shift+V | Align on vertical centers
Ctrl+Down | Send backward
Alt+Down | Send backward popup
Ctrl+Shift+Down | Send to back
Ctrl+End | Add frame to end
Esc | Stop internal player
F1 | Help
F10 | List key frames
F2 | Zoom in
F3 | Zoom out
F4 | No zoom
F5 | Add point
F6 | Delete point
F7 | Move point
F9 | List shapes
Ctrl+Enter | Play in internal player
Ctrl+Alt+Enter | Play in stand-alone player
Ctrl+Space | Play in browser
Ctrl+Up | Bring forward
Alt+Up | Bring forward popup
Ctrl+Shift+Up | Bring to front
Del | Delete shapes or points
Ctrl+X | Cut shapes
Ctrl+Y | Redo
Ctrl+Z | Undo
Continue


How To Tips

1. To select a shape or points under another shape:

Select the shape on top and then press CTRL H to hide the shape thus revealing what is underneath. Press CTRL H again to undo the hide.

2. To change the fill of a shape everywhere:

Select the shape with the selection scope set to All Frames. Whatever you do to the shape is now reflected everywhere. You are prompted first before global changes are implemented.

3. To name a shape, select a shape by name, or select a hard to get at shape:

Use the Shape List tool. Using this tool, you can select individual shapes or multiple shapes with CTRL and SHIFT select.

4. To combine KoolMoves, Swish, and Flash™ authored movies:

Use the frame or button load movie action to load movies created by other tools or import the movies as objects.

5. To create a tiled background:

Create a rectangle slightly larger than the movie frame in the first frame and send it to the back. Use the fill tool to fill the rectangle with your image. It will tile. Copy the rectangle, go to the second frame and use Edit > Paste to end of movie.

6. To overcome Flash™ movie size limitation:

The Flash™ player sets a limit on the size of the main swf. If you are including a large sound file, make it a separate swf and use load movie action to load it into the main movie. In this way you can effectively double the allowed size of the movie. This approach works in general for creating large animations. Moreover, breaking the movie into pieces results in faster internet loading.

7. To make an entire swf a link on a web page:

Put a shape the size of the movie frame filled with the background color in all frames, send it to the bottom and make it a button OR put a shape the size of the movie frame filled with a totally transparent color in all frames and make it a button.

8. To reposition the movie frame in the main editing window:

Use Options > Reposition Movie Frame.

Continue
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x
x


Known Issues

If other large applications are running while KoolMoves is running, KoolMoves may crash. This is due to a lack of system or graphic resources.

Continue


Help in Other Languages

There are a number of machine translated versions of help in different languages on the KoolMoves support page. There is an old version of help for KoolMoves in Spanish at http://www.geocities.com/powerxrv/Koolmoves/index.htm.


Action Scripting

KoolMoves provides Flash 6 action scripting capability. A large fraction of the possible Flash 5 and 6 operators and commands are supported at this time. The question mark at the top of the editing environment lists the supported syntax. This functionality is regarded as advanced and requires knowledge of action scripting that can be obtained from books or web sites devoted to that subject.

Some Flash 4 syntax is not supported. The only valid target syntax is the dot syntax. For example, Flash 4 syntax _level0:clip and _level0/clip should be represented as _level0.clip.

There are a number of action script examples in the Examples folder. actionscript-toolbox.com, www.actionscripts.org, and www.macromedia.com/support/flash/action_scripts.html are good sources of information. Definitive Guide to ActionScript by Colin Moock is one of the best books on the subject. Another approach is to learn javascript because Flash action script is basically javascript. This is a good guide to javascript: www.oreillynet.com/pub/a/javascript/2001/ 12/07/action.html

Note that if you use gotoAndPlay or gotoAndStop actions and if you use a KoolMoves' preloader, 2 frames are automatically added by KoolMoves at the beginning of the movie.

Also note that in gotoAndPlay, the first frame of the movie is 1 not 0. It is less error prone to name frames and use frame names in goto actions rather than frame numbers.

Stop movie action should not be placed on the first frame. In fact there is error checking to prevent this. A stop action on the first frame is often ignored by the Flash player.

With Flash 6, dynamic text has both an instance and a variable name in the Flash authoring tool. Object attributes like 'text' and '_x' are associated with the instance name which in KoolMoves is the name of the object, e.g., txt1. The variable name is used for backward compatibility for assignment statements such as = "hello". The KoolMoves interface does not support both an instance name and a variable name because of the confusion associated with having two names for basically the same thing. KoolMoves automatically associates a variable name with all Flash 6 dynamic text objects as the instance name plus "var". For example, if the name of a dynamic text object is txt1, when exported as Flash 6 the variable name is txt1var and the instance name is txt1. For a Flash 4 and 5 exported dynamic text object named txt1, the variable name is still txt1. Sorry about this confusion but this seems like the simplest way to handle the situation.

These statements are valid for Flash 6 export:
txt1var = "hello";
txt1.text = "hello";
txt1._x = 200;

These statements are valid for Flash 4/5 export:
txt1 = "hello";
txt1._x = 200;


Add Animation to Web Page

Before filling out this screen, you should have created a Flash animation file (.swf) in the same directory as the web page you want to display the animation. Next to Existing Web Page, press the browse button identified by the folder icon. Select the web page that is to receive the Flash animation. Next to Flash Movie, select the file corresponding to the Flash animation. The animation must be in the same directory as the web page. You can select to have the animation at the top of the web page or to replace an existing image. The movie loops option allows you to have the animation play once or to loop continuously on the web page.

Press the Test button on the right to view the animation on the web page. If you see an empty rectangle on the web page where the animation should be, it is likely that your web browser does not have the Flash plug-in. You can get plug-ins from browser web sites or from http://www.macromedia.com. Press the Save As button to save the web page with the animation placed on it. It is best to select a different name for the web page. If you select the same name, a back up file is created for the unedited web page with the extension .bak.

If you want the Flash animation to be a hyperlink, you will need to add a button to the animation for the user to click on. The button can be localized like a Click Me button or the button can be invisible and fill the entire movie. To do the latter: 1) Add a rectangle to the first frame that slightly exceeds the bounds of the movie frame. 2) Make the interior of the rectangle transparent. 3) Make the rectangle a symbol and interactive. 4) Give it a Get URL action and provide your hyperlink destination. 5) Copy the rectangle, go to the second frame, and paste to the end of the movie.


Audio Editors

This is a limited listing of freeware and shareware audio editors:

DigiDesign, a very powerful freeware audio editor, http://www.digidesign.com/flashnav/index.html

ALF, a WAV to MP3 encoder, http://www.philnet.u-net.com

Sound format converter http://www.dbpoweramp.com

ASIA, a free wave editor, http://www.geocities.com/SiliconValley/Platform/9182/

Windiows media player and Windows sound recorder can be used to create WAV files and convert many formats to WAV.

GoldWave, shareware $40, http://www.goldwave.com

Audio Mulch, shareware $50, http://www.audiomulch.com/index.htm


Convert to AVI

There are two methods.

Method 1: export as an image sequence and then make the AVI with your favorite AVI creation software (there are plenty of free ones) or convert to AVI using MS Movie Maker which comes with Windows XP.

Method 2: use SWF2Video ($19.00) http://www.flashants.com or SWF2AVI ($79) http://www.pizzinini.net/swf2avi/. SWF2AVI converts any SWF into an AVI file. The AVI can then be exported as an Image Sequence from many Video Editing tools such as QuickTime. QuickTime is able to convert SWFs directly to image sequences.

To convert AVI to SWF, use CamStudio http://www.rendersoftware.com/products/camstudio/.


Backup on Saving

On saving your animation, a backup file is created before the file is overwritten. The name of the backup file is ~backup.fun.


Image Fill

Shapes can be filled with solid color, color gradient, or images (which are tiled if the shape dimension exceeds the size of the image). To fill selected shapes with an image, select the shape fill tool and click on the image radio button in the dialog box. Select the file of the image by pressing the file browse button with three dots. The name of the file is saved in the .fun file (its path is relative to the directory position of the .fun file).

Use an application found at www.Gfx2swf.com/gif2swf to convert your animated GIF into a SWF file. Then use import swf as an object to bring the converted gif into your KoolMoves animation. KoolMoves can import 8 bit PNG files with or without transparency.

On exporting to a Flash movie, KoolMoves converts non-indexed color images to jpeg format at the quality factor specified in either File > Export Settings or Movie > Background Image. Use the lowest quality number to achieve the smallest Flash movie. If you use the same image with the same file name multiple times throughout the movie, KoolMoves is smart enough to store the image only once in the exported Flash™ movie.

If the image is larger than the shape, only the upper left portion of image will fill the shape. If the image is smaller than the shape in any dimension, the image will tile to fill the shape.


Black Border

Use the following HTML code to add a black border to your movie:

<div style="border: 1px solid black;">
<!-- movie code here -->
</div>


Adding Button Sounds

Sounds (MP3 and .wav PCM formats) can be added to the over and down states of buttons. A sound file can be entered in the shape property dialog near the bottom for each state. There are about 68 individual wav formats. At this time, KoolMoves only supports PCM type.

The over state of a button is activated for roll over, roll out, drag over, and drag out mouse events. The down state of a button is activated for press and release mouse events.

If you use the same sound file multiple times throughout the movie, it will be referenced that many times in the Flash™ movie but only defined once.

Sound files tend to be huge which can make the exported swf file huge. To make sound small, take these steps: in a sound editing program convert from stereo to mono and to the smallest sample rate that gives you the quality you need. Shortening the sound track also helps.

Sounds do not play when running your animation in KoolMoves' internal player.

If a sound plays longer than the movie plays and if the movie loops, the sound from the first loop will continue playing during the second loop until the sound from the first loop finishes. The sound effect worsens as the movie continues to loop. To solve this problem, add Stop Sound action to the last frame.

If your sound file is sampled at a rate other than 5500, 11025, 22050, or 44100, the sound will play in the Flash player at a rate nearest to one of the four rates listed above.


Button Gallery

About 70 buttons are included with the registered version of KoolMoves. They were created in KoolMoves and were designed specifically for use in Flash movies. The buttons are found in the Button folder inside the KoolMoves folder. Click on a folder category to display the contents. Click on an item to select it, press Play to see how it responds to mouse actions, and press Add in the upper top to add the button to your movie. Upon pressing the Play button, the button will display in the Flash stand-alone player if you have one; otherwise, your default web browser will display the button. Move your mouse over the button and click on the button to see the different behaviors of the button.

Because of a current limitation of KoolMoves, one of the shapes is the button and the rest of the shapes are regular shapes. The button shape is probably at the top or bottom of the shape list. Find the button shape, display the properties of the shape, and then press the Action button in the properties dialog to edit the button action. The over and down states are each single movie clips. Click on Frames in their properties dialog to modify the shapes comprising the over and down states. You can add frames to the over and down movie clips so the button animates on rollover or mouse click.


Capture Movie Frame

This function performs a screen capture of the current key frame or all key frames and clips the images to the movie frame. The screen captures are saved in .bmp, .jpg, or .png format. By assembling a series of frames, you can create an animated gif in many photo editing tools.


Import Clipart

Clip art can be imported using File > Import Vector Graphic. This function will import .wmf, AutoCAD .dxf, .eps, or .emf files and convert them into KoolMoves shapes with points. There are several classes of clip art including bitmap and vector. KoolMoves only supports vector clip art in which each shape is defined by boundary points and is usually filled with a uniform color.

Vector clip art often has a high density of shape points so you are given the option when you import of reducing the number of points through curve fitting, automatically performed by KoolMoves. If detail is lost or there are wild shapes, increase the number of points on importing (i.e., decrease the amount of point reduction).

Not all clip art objects are imported. For example, text objects are not imported at this time.

You can get free vector clip art from http://www.arttoday.com and http://www.clipartdownload.com. You can purchase single clip art images from http://www.eyewire.com/clipart/. Corel publishes several large clip art art collections. Or, you can draw with a number of vector graphics applications and export in a format compatible with KoolMoves.

You can also find a large selection of free clip art created in KoolMoves at www.Propellerhead-Graphix.com

To edit clip art in order to impart motion for example, lasso the part of the clip art to be edited with the point selection tool.

The selected points can be translated using the arrow keys or dragged using the mouse, rotated, slanted, squished, scaled, or put into perspective. See reshaping techniques. Typically, you reshape or recolor the clipart in the current frame, add another frame, make changes in that frame, add another frame, and so on to create a movie. KoolMoves morphs the shapes between frames to create smooth animation. The speed of the animation is set by the overall speed of the movie and the number of tweens between frames.


Clip Art Gallery

About 257 clip art items are included with the registered version of KoolMoves. They were created in KoolMoves and were designed specifically for use in Flash movies. The clip art is found in the Clip Art folder inside the KoolMoves folder. Click on a folder category to display the contents. Click on an item to select it and then press Add in the upper top. You will probably want to resize it to your needs. Select the scale transform and drag the upper right square handle either toward the shape or away from it to shrink it or expand it.

You can also find a large selection of free clip art created in KoolMoves at www.Propellerhead-Graphix.com


Closed Border

Closed border means that the border is filled in for the last boundary segment of the shape. This property is set in the Properties popup for the shape. A line is a shape with a border that is not closed and is not filled in (i.e., the Closed property is off and the Filled property is off). The Closed and Filled property states can be toggled by selecting them.


Backend Code

Check out these web sites for information on back ends.
http://www.bignosebird.com/lscgi.shtml
http://worldwidemart.com/scripts/
http://www.cgi-resources.com/
http://cgi.resourceindex.com/Programs_and_Scripts/

The front end is easy. All you need to do is set your URL with the Get or Post values to the proper URL and thats its. For CGI the URL will more than likely end in .CGI. When you use get or post it sends all the variables that have been set.

ASP code for load variables:

code:---------------------------------------------------<%
' initial setup (recommended)
Option Explicit ' Forces declaration of variables
Response.Buffer = true ' Don't output page until script finished
Response.Expires = -1441 ' Attempt to overcoming browser cache probs

' declare some variables
dim strFirstName, strLastName

' get the info
strFirstName = "" & request.form("firstname")
strLastName = "" & request.form("lastname")

' process as desired
%> ------------------------------------------

Where "firstname" and "lastname" are what the text fields are called in KoolMoves.

No need for first three lines, but they help. No need to DIM variables if Option Explicit not used.

Standard stuff, in other words KoolMoves creates a .swf that sends data correctly, as far as ASP is concerned anyway.

This info could then be used in html like this:

code:-------------------------Hello <%=strFirstName%>
etc --------------

More code in VB Script:

code:----------------------------<%@
LANGUAGE="VBSCRIPT" %>
<% response.expires = 0 %>
<%

sMail = sMail & "You Can Put Anything You want here- It is attached to the Body" & vbcrlf & vbcrlf

sMail = sMail & vbtab & "AnyQuestion you want answered - " & request("Any Variable you want") & vbcrlf

Set Mailer = Server.CreateObject("SMTPsvg.Mailer")
Mailer.RemoteHost = "your mail server"
Mailer.Subject = "anything you want "

Submitter = request("Var you set for the senders name")
Mailer.FromName = "any name you want"
Mailer.FromAddress = "any adress you want"

Mailer.BodyText = sMail

Mailer.AddRecipient "name of who you want to send to", "E-Mail of person you want to send to"
%>

Code in Perl

code:--------------------------------------------------- #!/usr/bin/perl

require "subparseform.lib";
&Parse_Form;

$Title = $formdata{'Title'};
$Contact = $formdata{'Contact'};
$About = $formdata{'About'};
$News = $formdata{'News'};
$Products = $formdata{'Products'};
$Link = $formdata{'Link'};

@New = ("Title=$Title&Contact=$Contact&About=$About&Products=$Products&News=$News&Link=$Link");

open (LOG, ">/home/formexample/TextFile.txt") || &ErrorMessage; print LOG "@New"; close (LOG);

print "Content-type: text/html\n\n"; print "Status=Success - Your Comments have beed updated. Please return to the main area to see the results";

sub ErrorMessage { print "Content-type: text/html\n\n"; print "Status=Connection Failed Please Check the path to the text File"; exit; }--------------------------------------------------

That Backend looks for the variables Title, Contact, About, News, Products, and Links and then writes them to a Text File called TextFile and generates a HTML Page telling you that the values were submitted. The Script works and is customizable. By Altering the names of the Vars in the First part of the script to mach the names you gave them in the SWF you created , remember to change them in the @New line.


Interface Components

There are currently a total of 7 components: scroll pane, list box, check box, push button, scroll bar, database query object, and tooltip. There are detailed examples and readme files in the Components section in the Examples folder.

Two frames are added on swf export by KoolMoves to the beginning of the main movie before any preloader for the purpose of loading KComponents.swf. KComponents.swf contains all the component creation, draw, and interaction routines. KComponents.swf must be present in the same folder as the main swf for the movie to play the components. On exporting to swf or previewing a swf, KComponents.swf is copied to the working directory if components have been added through the KoolMoves gui or if "include interface components" is checked in Export Settings. The components export as Flash 6.

The interface components can be added through the Tools toolbar or through action script (see Components section in Examples folder for action script examples).


Sound Compression

The Flash file format provides different levels of sound compression for WAV files expressed as the number of bits (2 - 5) used to compress 16 bit sound where 2 bits provide the lowest quality and 5 the highest. This value is set in File > Export Settings.


Using CoolPage

See this tutorial www.getafile.com/cgi-bin/merlot/get/koolmoves/tutorials/kmwithcoolpage.doc by The Crate Diseño Web.


Access Databases

To access a database using ASP, see www.haneng.com/lessons_21.asp. To access a database using PHP, see www.phpbuilder.com/columns/siddarth20000228.php3 and www.databasejournal.com/features/msaccess/article.php/1405201. Another reference is www.mysql.com/products/mysql/index.html.


Default Tweens

You can indicate under Frames menu bar the number of tweens between key frames that is the default value unless a different value is indicated at a specific key frame. Changing this value will change all tween values throughout the movie that are not the current default value.


Dependencies

Movie > Dependencies displays a list of all files used or referenced by the animation -- images, sounds, imported swfs, and go to urls. This is useful for spell checking file paths and for gaining an overview of the dependencies.


Drop Shadow

In the properties dialog you can add a drop shadow to any shape. This property is the Effects section. Drop shadows do not work well with fade in or out transitions.


Import DXF

See Import Clipart. Color fill information may not import.


Undo/Redo History

Undo history found under Edit menu bar displays a list of edits that have been performed on the current frame. You can revert to any previous state by selecting from the list. Redo history behaves in a similar fashion.


Send in Email

See this tutorial www.koolmoves.com/johnie/outlook/KoolMovesandOutlook.html.

There is an inexpensive product called Flash Toolset www.flashtoolset.com/FTS/features.html which has an automailer built into it.


Import EMF

See Import Clipart.


Import EPS

Eps is can be difficult to import as vector shapes into KoolMoves. It should be EPS 3.0 and it must contain vector shapes not just bitmaps.

Also see Import Clipart.


Exceeded SWF Buffer Size

The most likely the cause of this error message is that you are using a wav file that exceeds 1/2 MB.

Your best options are to either convert the wav file to MP3 which does not have a limit or to adjust the compression setting for the wav file in Movie > Advanced.


Exe Creation

SWF Browser at http://www.swifftools.com/stools/ allows you to parse swfs, create screan savers, and make projectors (.exe files from .swf files). Although the product is freeware, some features like sound, swf, and image extraction are locked out until you pay for the product.

SWF Studio at http://www.northcode.com is another useful product.


Add to Web Page Details

The .html file contains a large section of javascript that branches to a nonflash.gif if the browser does not have the Flash player or cannot read javascript. The nonflash.gif is not created by KoolMoves. You need to do that. Create your own image, in gif or jpeg format, for display when the Flash animation cannot play and change the name from nonflash.gif to whatever name you choose and change the name in the javascript file wherever it occurs. The size of the image is indicated next to the file name.

It is not guaranteed that an exported Flash™ movie can be imported into Macromedia Flash™ for purposes of further editing or that a movie exported from KoolMoves, imported into Flash™, and then exported from Flash™ will have the same behavior as the original movie exported from KoolMoves.

The Flash player can only handle SWF file sizes less than 2 1/2 - 3 MB. When a SWF becomes around 3 MB in size, it starts doing wierd things. Many times it will crash the computer. This is explained here www.macromedia.com/support/flash/ts/documents/bigflash.htm. If you want to create a movie exceeding this size, consider using a lower quality jpeq setting, making the sound file smaller, or breaking the movie into pieces and using load movie to load the separate pieces.

The HTML contains simple instructions (called parameters), and executes the SWF file in the area of your web document where you insert the script. Here is an example of the Flash HTML script that you would need to add to your page:

<OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase= "http://active.macromedia.com/flash2/cabs/swflash.cab#version=4,0,0,0" ID=super WIDTH=560 HEIGHT=60>
<PARAM NAME=movie VALUE="super.swf">
<PARAM NAME=loop VALUE=true>
<PARAM NAME=quality VALUE=high>
<PARAM NAME=bgcolor VALUE=#FFFFFF>
<EMBED src="super.swf" loop=true
quality=high bgcolor=#FFFFFF WIDTH=560 HEIGHT=60 TYPE="application/x-shockwave-flash"
PLUGINSPAGE= "http://www.macromedia.com/shockwave/download/ index.cgi?P1_Prod_Version=ShockwaveFlash">
</OBJECT>

Notice that there are both Object and Embed tags. The Object is for Internet Explorer and the Embed for Netscape. The parameters are referenced in both areas; and it is these parameters which allow you to do some customizing of your animation. www.macromedia.com/support/flash/ts/documents/tag_attributes.htmlink provides further explanation of these tags and others which you can use to customize the display of your animation.

The movie parameter references the SWF from your directory. You'll need to upload the SWF file to the same directory as your web page. If you place the SWF file in a different directory, then you will need to show the path to that directory in this parameter -- something like flash/super.swf -- assuming flash is the name of that particular directory or folder.

With the loop parameter you can have the animation play once, or play continuously, by setting it to false or true.

The bgcolor parameter can be set to whatever hexadecimal (#FFFFFF format) color you need for your web design.

The width and height are not parameters in the same sense as the others -- but you can change these as well. Since the SWF file is scalable, you can make necessary changes and the animation will smoothly resize to the new dimensions.

Either fixed pixel-based or flexible percentage-based dimensioning can be used. Fixed dimensioning (for example, width=300 and height=200) sets the size to the exact pixel dimensions, just like you normally would with an image. However, percentage-based dimensioning -- for example, width=50% and height=50% -- makes the SWF automatically resize, proportionately, to any browser window size without any deformations.


Filled

This indicates if the interior of a shape is filled or is transparent. A shape can be filled with a solid color or a bitmap.


Flash

Flash™ was developed by Macromedia to make it possible to have high impact web sites, alive with animations, sounds, interactive interfaces, and powerful graphics. Flash utilizes a very compact vector graphic format, so web sites with Flash animation download quickly. Flash has a huge market penetration, making it an ideal choice for your web site needs. Most web browsers contain Flash players which play Flash movies contained in HTML documents. Most high-end web sites use Flash animation. For more information about Flash, go to www.Macromedia.com or www.FlashKit.com.


Frame

A frame is one picture in your movie. There are two kinds of frames:

1) The kind you make, which are called key frames,

2) The kind KoolMoves makes for you, which are called tweens.


Insert Frame Copy

Inserting a copy of the current frame at the end of the movie or after the current frame is the principle method for growing the movie. The copy provides the starting point for changes at the next stage of the animation which may involve changes in point positions or colors of shapes. When a frame copy is made, the shapes in the copied frame retain a relationship to the shapes in the original frame which is very important for morphing to occur.


Frame Editing

See Editing and Playing Frames.


Frame Labels

To label a frame, select with the mouse a frame in the list of frames. Click again on the frame to get a cursor in the label space. Now you can enter a new label.


Frame Rate

Video and television typically run at 30 fps (frames per second) and film traditionally runs at 24 fps. Most cartoons and anime are done at 12 or 15 fps to save money whereas most high quality animations like Disney feature films use 24 or 30 fps. Faster frame rates produce smoother animation but require more tween frames to achieve the same length of movie.

Flash 4 player could only achieve a maximum frames per second of 18 fps. Flash 5 player will attempt to play the higher frame rates at the expense of eating system resources. Movies with frame rate settings of 30 or higher when played on a machine with the Flash 5 player but tested on a machine with the Flash 4 player will appear speeded up drastically (See this Tech Note: http://www.macromedia.com/support/flash/ts/documents/player5_issues.htm) and may cause the computer to crash or lock up. As stated in the Tech Note users should never set their fps setting over 30 unless there is a very special need.

Frames per second is set in Movie/Speed.


List of Frames

This list can be used for navigating, renaming key frames, and frame editing (cut, copy, paste, and reversing the order of frames). To change the position of one or more frames in the movie or to cut/copy/paste frames, make your frame selections in the list of frames and use the editing commands on the right. Shift select to select multiple frames. Paste places the cut or copied frames before the currently selected frame. To rename a frame, select the item in the list and click again to get a cursor. Type in the name you want. The window can be resized by dragging the resizing marks in the lower right.


Using MicroSoft Front Page

See this tutorial www.getafile.com/cgi-bin/merlot/get/koolmoves/tutorials/kmwithfrontpage.doc by The Crate Diseño Web.


FS Command Action

The FS Command action provides a general method for Flash to send a message to whatever program is hosting the Flash player. This is advanced functionality, not for the average user.

FS Commands are not very reliable as they don't work on many browsers. You are actually better passing the info from the SWF to the browser using javscript. Likewise, you are better off using action script for interactivity. There are a very select few instances where this is not the case.

In a web browser, FS Command calls the FS Command Javascript function. In Director, FS Command sends a message interpreted as events by Lingo. In Authorware, FS Command sends commands to the scripting environment. In Visual Basic and Visual C++, FS Command sends a VB Event with two strings.

This is a tutorial explaining how to use the actionscript function FS Command to call Javascript functions from within Flash: http://www.flashkit.com/cgi-bin/tutorials/jump.cgi?ID=584.

The FS Command was developed in Flash for 2 reasons.
1. To allows SWFs to talk to Live Connect and Active X.
2. When tt was implemented IE did not support Javascript: Commands as URLs. At that time FS Commands were the only way to pass information to IE 3.0 or lower.

The early versions of Flash, Flash 3 or lower, had a very limited scripting environment, to see just how limited download a shareware trial of Flash 3. If you wanted to script something you had to use FS Commands and Flash Player Methods to do it. Since the authors of the Macromedia Technotes wrote that the way to communicate with Flash was through FS Commands all of the following Flash book authors stuck to that story, which is untrue. Most FS Command tutorials on the web confuse FS Commands with Flash Player Methods.

FS Commands pass a variable and an argument to the native scripting language. With the exception of projector files, which have some limited commands built in, you must script the commands yourself. You need to be aware that there is no Active X support for IE for Mac, Netscape, Mozilla, and most open sourced browsers. Also Linux browsers are dropping Live Connect. Therefore the use of FS Commands for web page usage is problematic.

The most common use for a FS Command is in the use of projectors. These commands are quite easily called by using the following command words in the FS Command box and the following arguments in the argument box. It is important that you start the command with "FS Command:".

Command Arguments:
Quit None
FullScreen True/ False
AllowScale True/False
ShowMenu True/False
Exec Path of EXE you want launched.
Save File Name
Quit- Shuts down the Player
FullScreen- Makes your projector Full Screen if set to true and makes it regular if set to false.
AllowScale- Allows your Graphics to scale with the projector or not.
ShowMenu- Shows the Projector Menu or eliminates it.
Exec- Launches any EXE if you are working on a MAC it launches and applescript. You must know the Path of the program. Save- Only available in the Flash 5 Standalone Player and may be removed at anytime without notice. It saves all of your variables to a txt file in the root directory.

Many projector enhancement programs like Flash Tools, SWF Studio, Swish Canvas, Jugglor, Flashants FMProjector have custom FS Commands built into them. Be sure to read the documentation carefully before implementing one of these specialized FS Commands. Outside of browser non-support for FS Commands, there is one good reason to use them to communicate with your HTML. This one good reason is that FS Commands do not cause your web browser to click when the command is issued like Javascript commands do.

In order to use FS Commands you must have this on your page:

<script=;"javascript;"> function navmovie_DoFSCommand(command, args) {

if ( command == "init" ) {

var buttons = parent.InternetExplorer ? window.navmovie : window.document.navmovie; if (buttons != null ) {

buttons.GotoFrame(parent.targetFrame);

// This function ensures that the navigation bar movie is set to the proper
// keyframe when it initially loads. The argument init is the name you use
// as the command paramter for the action attached to the first keyframe // in the navigation bar movie.
} } // Hook for Internet Explorer
if (navigator.appName &&
navigator.appName.indexOf("Microsoft") != -1 &&
navigator.userAgent.indexOf("Windows") != -1 &&
navigator.userAgent.indexOf("Windows 3.1") == -1) {
document.write('<SCRIPT LANGUAGE=VBScript>');
document.write('on error resume next ');
document.write('Sub fscommand_FSCommand(ByVal command, ByVal args) ');
document.write(' call fscommand_DoFSCommand(command, args) ');
document.write('end sub ');
document.write('</SCRIPT> ');
}
//--></SCRIPT>
</SCRIPT>

Notice that you have to have some VB on your page to catch the FS Commands from Active X. Now this is important. A FS Command is only a variable and a value when sent to a program. You must build the proper handler for your command and arguments with Javascript.

Okay now the final use which is probably the most useful use of FS Commands is for in custom programs that use Flash as the interface such as Authorware and VB projects.

This is handled by the Active X Flash method:

FSCommand(command, args)

Generated when a FS Command action is performed in the movie with a URL and the URL starts with FS Command :. Use this to create a response to a frame or button action in the Flash movie.


Using NetObjects Fusion

See this tutorial www.getafile.com/cgi-bin/merlot/get/koolmoves/tutorials/kmwithfusion.pdf by FusionMagic.


General Keyword

Please select one of the subentries in this list.


Import and Export Gifs

KoolMoves supports import of static GIFs with and without transparency. It does not support import of animated GIFs at this time.

Use an application found at www.segon.com to convert your animated GIF into a SWF file. Then use import swf as an object to bring the converted gif into your KoolMoves animation.

KoolMoves does not directly support output of animated GIFs at this time. To convert a KoolMoves created swf to an animated gif, you might try Magic Swf2Gif at itinysoft.com.

There are a number of other specialized products for creating animated GIFs. Ulead makes a nice product called Gif Animator. There are also free products. See http://msdownload.microsoft.com/msdownload/gifanimator/gifsetup.exe, a simple free GIF animator from Microsoft, and from the makers of Game Maker, a very easy to use game creation and developement environment, http://www.cs.uu.nl/~markov/kids/gmaker/index.html.

Capture the KoolMoves animation as a series of screen images using File > Export Movie > Capture Movie Frame and import the image files into your favorite gif creation tool. With some of the free GIF animators you may need to convert the captured images into GIF format using a graphic editor.


Gradient Fill

See Coloring.


Grid

For alignment assistance, you can turn on a grid and set its size with View/Grid. Display of the grid on top of the animation or under the animation is set in File/Preferences.


High Quality Rendering

High quality rendering means antialiasing. Antialiasing is an image filtering technique which alters the boundary of an image to eliminate what are called the "jaggies".


Hit Area

The button area that is receptive to the mouse can be set in the properties dialog associated with the shape. The area is expressed as a percentage of the area of the up state of the button. In other words, a 200% hit area is twice as big horizontally and vertically as the outline of the button when the mouse is not over it.


Import Bitmap

This function, accessible through File > Import Image, fills a rectangle with the bitmap file you select. The four points to the rectangle can be individually moved or more points can be added. Alternatively, you can create a shape and fill it with a bitmap using the shape fill tool (see Coloring).


Import JPG

See Import Bitmap.


Import PCX

See Import Bitmap.


Import PNG

See Import Bitmap. PNG can be imported as 24 bit or 8 bit with or without transparency. Importing a PNG is a substitute for importing a GIF.


Import TIF

See Import Bitmap.


Installation

Installation of KoolMoves is simple. Double click on kmsetup.exe. The installation program will step you through the process of installing the software. For most cases, just keep pressing Next.

To uninstall, use the Control Panel Add/Remove Programs to remove the program.


JPEG Quality

A number can be selected from a low value to 100. A low value results in poor image quality but relatively small file size. This value is set in File > Export Settings and in Movie > Background Image.


Justification

Multi-line text can be left, right, center, or full justified. In the case of full justification, the last line of text is left aligned.


Key Frame

A key frame is a frame that you create yourself. KoolMoves generates tween frames in between key frames.

When cartoons are drawn by hand, a master animator typically creates the key frames and an apprentice creates the tweens. In KoolMoves, the software generates the tweens.


Text Letter Spacing

Letter spacing is a powerful yet simple way to add elegance to text. Unfortunately at the moment, text displayed in the text dialog is rendered as though the letter spacing is zero.


Draw Varying Line Thickness

There are two ways to achieve line thickness variation:

1. Draw two shapes, one on top of the other. Both shapes are set to zero line thickness. The shape behind is then set to the desired line color. By adjusting the points for the shape underneath and making it slightly larger than the shape on top, you achieve the look of a line bounding the shape on top.

2. To achieve a line that looks a little more hand-drawn, use just one shape with the line thickness set to 1. Go along the line and plunk down a few random additional points and intervening curves. Then move these points and curves just slightly out of line, in a random, pencil-like way, until the line looks more hand-drawn. Still relatively straight and all, but with slight variations in placement and thickness so it looks a little more natural.


Link

To add a link in your animation to a web page, make the text or shape associated with the link into a button in the Properties for the link shape (say yes to Is a Button). In actions in the same popup, add a GetUrl action to the web page. Open Examples\Actions\mouseevents.fun for an example of different types of links.


Load Movie

Load Movie loads a new SWF into the Flash player. This feature can be used to string together multiple SWF files. Because the project is broken up into multiple movies, the individual SWF files are smaller in size. Smaller files load faster, and manage memory more efficiently.

Flash can play multiple timelines simultaneously. Each timeline is assigned a level. The main timeline is always Level0. Level0 sets the frame rate, background color and frame size for all the other loaded movies. Additional timelines load into higher numbered levels and are displayed in a stacking order with level0 being the bottom-most level. When using the Load Movie action, a level must be specified, to define where the SWF will be loaded. If loading one movie only, any level 1 or higher will work fine.

A movie can also be loaded into level0. This will replace the contents of the main timeline with the loaded movie. This is an effective method of stringing multiple SWF files together in a continuously running show.

If the loaded movie is loaded into a level, it is positioned relative to the upper left corner of the movie that loaded it.

Using relative paths with load movie can be confusing. Since any timeline can perform a load movie action, what path is the movie being loaded relative to? Is it relative to the main timeline at _level0? Or is it relative to the timeline that performed the Load Movie action? The answer is simple: Loaded Movies are always relative to the timeline that loaded them.


Lock Shapes

To lock a selected shape from changes in point position or many other changes, click on the lock button in the shape list popup. To unlock, click again. To lock or unlock all shapes, click on the lock all button.


Movie Looping

To set the looping of the Flash movie to on or off in the HTML file, set the looping property in File > Export Settings > HTML Settings. Click on the menu item to toggle its value. This parameter sets the value of the loop parameter in the javascript in two places in the HTML code. Alternatively, you can put a stop action at the last frame using Views > Actions and Sounds.


MIDI Sound Files

The Flash player does not directly handle MIDI sound. You have to convert the MIDI file to WAV or MP3 or synch it using other Flash player methods and FS Commands.

There are several freeware MIDI conversion apps, for example, www.polyhedric.com/software/mn/.

www.tips-tricks.com/sound.asp gives a tutorial on how to add MIDI sound to your HTML.

This is html code that will background midi sound to your web page:
<EMBED SRC="hittheroad.mid" AUTOSTART"=True" HIDDEN=True" LOOP= "True"> <BGSOUND SRC="hittheroad.mid" LOOP="infinite">


Morphing

Morphing is the technique by which shapes in one key frame are smoothly blended into corresponding shapes in the next key frame. Morphing is handled by KoolMoves without you having to think about it. There is morphing between two key frames when the number of tween frames between two key frames is greater than zero. To prevent morphing, set the tween frames in that part of movie to zero. To perform morphing between two key frames, KoolMoves must recognize the relationship between shapes in the two key frames. If a key frame at the end of the movie has shapes A and B and that key frame is copied to the end of the movie, shapes A' and B' in the copied key frame are related to A and B through the copy process so correct morphing will occur. Morphing occurs between a shape and its single counterpart in the next key frame. There cannot be morphing between a single shape and multiple shapes or vice versa.


Morph Source

The morph source function gives you the capability of morphing two shapes that are not currently morphing. This is particularly useful if you insert a movie into your current movie and you want to cause morphing between shapes in the current movie and those in the inserted movie. Each shape can have only one morph source. The morph source dialog asks you to select a shape from the previous key frame to assign as the morph source to a selected shape in the current key frame.


Motion Scripts

Motion scripts are Flash 5 or 6 action scripts applied to the shape you select. The motion script animated effects are not viewable within the KoolMoves main editing environment, because the internal display within KoolMoves does not understand action scripts. All you see is a blue dashed box surrounding the shape. On playing the animation in the preview window associated with the motion script, in a web browser, or in a stand-alone Flash player, the effect of the motion script will be visible.

Because of the nature of these action script-based effects, frame-by-frame changes in color, shape, and position are ignored by the effect. The position, color, and transparency from the first frame the shape appears in is used by the effect. The length of the effect is determined by the effect itself not by the number of frames the shape appears in. Also, the drop shadow effect does not appear when a motion script effect is applied. If the text is a single letter or if the effect is applied to a non-text object, effect parameters such a left to right or right to left do not apply.

You can achieve some level of frame-by-frame changes by embedding the object with the motion script inside a movie clip and then manipulating the movie clip in position, size or rotational angle.

For those advanced users who want to control the effect from the main movie through additional action script commands such as stop(), the name of the movie clip that encompasses the effect has the same name as the shape in the KoolMoves shape list. If there is an embedded space, the space is removed.

You are able to create your own motion scripts and use them in your animations. See the readme.txt in the My Scripts folder inside the Motion Scripts folder for more information.


Mouse Events

There are seven mouse events which buttons are sensitive to:

Press - Button is clicked on.

Release - Mouse is released after button is clicked on.

Release Outside - Mouse is released outside the button after clicking on the button.

Roll Over - Mouse pointer moves over a button.

Roll Out - Mouse pointer moves outside a button.

Drag Over - Button is clicked; without release, mouse pointer is dragged away from the button and then mouse pointer is dragged over the button.

Drag Out - Mouse pointer is dragged outside a button after clicking on the button.


Movie Overview

This screen provides a detailed listing of all frames, shapes in frames, actions and sounds. The buttons on the right toggle display of all actions or all sounds.


Movie Size

The size of the movie is set under Movie menu bar. This size should be entered in the html file with the .swf movie in the appropriate place.


Movie Speed

The speed of the movie is set under Movie menu bar. The actual speed of the movie may prove to be less than your desired speed because of peformance limitations. Movies with a lot of transparency for example will tend to play slower. A value in the range of 12 to 24 FPS (frames per second) is reasonable. The actual FPS rate depends on the capabilities of the computer playing the movie. For example, FPS in the range of 18-24 on old machines might be 24-30 on new machines and 40-50 on brand new machines. The Flash player becomes unstable around 35 FPS.


MP3 Sounds

See Adding Frame Sounds and Adding Button Sounds


Import Video

You can decompose the video file with a program like QT Pro into an image sequence and a sound file. Alternatively, you can use a program like MotionSWF ra.sakura.ne.jp/~taos/moswf/, Wildform Flix, SWF Convert, Vid2Flash, Vid2SWF, or Swideo to convert the movie file to a SWF file. Then use KoolMoves' Import as SWF Object to bring the SWF into your KoolMoves animation.

If you decompose it you will have to import the sequence into KoolMoves by hand and add the sound track later.

If you are using MotionSWF you place the video into its own folder and drag that into MotionSWF.

Finally if you have QT 6 Pro (or even 5 Pro) you create two tracks (one for Flash and one for the MPG) and combine them and leave the final export as a MOV (The QT format). This is recommended as the Flash player cannot handle more than 8 minutes of real video where as QT can.


No Border

The border thickness of a shape is an integer number of pixels. A shape with zero border thickness is rendered without a border.


Non-linear Morphing

Standard morphing entails linear interpolation between two adjacent key frames. This is sufficient for most situations but fails to produce good results when there is rotational motion. Non-linear morphing which involves a cubic fit between 4 key frames products superior movement but does result in a larger swf file size. If the non-linear option is selected and there are less than 4 key frames of motion, standard morphing will automatically occur. Non-linear morphing is only available in the Cartooning interface style.


Onion Skinning

Onion skinning allows you to view, in addition to the current frame, frames before and after the current frame. As the frames are further away from the current frame, the dimmer they appear. Onion skinning can be used to observe the movement or changes in the animation and ensure that the animation is fluid. To turn on onion skinning, select View/Onion Skinning and check the checkbox.


Pan

Pan Tweens

To preserve valuable drawing area, KoolMoves does not have scollbars. To navigate over the drawing area particularly in the case of zooming, use the pan function. Depress and drag the left mouse button to translate the frame display.


Paste Shapes

There are three forms of paste -- paste to the current frame, paste from the current frame to the first frame of the movie, and paste from the current frame to the last frame of the movie.


Performance

The performance of the Flash™ player is influenced by many factors -- the number of shapes in each frame, the number of points in each frame, the degree to which transparency is used, etc. The performance of the KoolMoves internal player is influenced by the same factors. In general, KoolMoves player is not as efficient as the Flash™ player particularly with regard to rendering shapes with transparency and bitmaps fills. The performance on a web site is a different issue and is influenced by typical internet limitations of modem speed, ISP bottlenecks, etc.


Stand-Alone Player

KoolMoves lets you view your animation with an internal player and a Flash™ player if you have one. If you purchased Macromedia Flash™, you undoubtedly have a Flash™ player in your program files\Macromedia folder. It is named SAFlashPlayer.exe


Play in Web Browser

KoolMoves lets you view your animation in your default web browser. Just select play in web browser under the lightning toolbar button.


PowerPoint

You can get a free tool from Microsoft at www.globfx.com/products/swfpoint/ that adds a Flash animation to a PowerPoint presentation.

Also see www.itg.uiuc.edu/help/flash_to_ppt/.

Alternatively, you can add it manually. The first thing you will need to do is have the control Toolbox visible if you don't already. Select View > Toolbar > Control toolbox.

Next you select the More Controls button (The button looks like a hammer and a wrench) you should get a large list of controls - you want the Shockwave Flash Object control. (If it is not on the list, you do not have the Flash OCX installed and you need to install it from Macromedia's website.)

Then you draw where you want your movie to play in the PowerPoint Presentation. The Movie will look like a big square with an X through it until you format it.

Right click on the square and then change the properties. Double click the Custom property to assign the correct URL of your movie to the PowerPoint presentation (remember URL's can be local- I sugest that you create a shortcut of your SWF and then copy and paste the URL (Path) from the shortcuts properties view).

Until you view the slideshow the SWF will display as a square with an X through it. This will change as soon as you view the slide show.

This works on both PowerPoint 97 and 2000.


Preferences

View Preferences:

User interface style. This allows the user to select the skill level he feels most comfortable with. Advanced skills include masking, shape point manipulation, and action scripting. Cartooning skills include bones and non-linear morphing.

Draw alignment grid on top. If this option is selected, the alignment grid will display on top on the animation shapes. If this option is not selected, the alignment grid will display under the animation shapes but over any background image.

Canvas color. This is the color of the application window outside the movie frame area.

Font size. This font size setting affects the Properties, shape and frame list popups and the text on the some of the toolbars.

Drawing/Selection Preferences:

Draw shapes as symbols. With this option checked, shapes are drawn as symbols. This saves a great deal in the size of the final swf. The downside is that points to the shape cannot be selectively moved in a frame without affecting other frames. If you are doing character animation, turn off this option.

Remain in drawing mode after drawing a shape. If this option is selected, you are able to repeatedly draw shapes without having to reselect the shape drawing tool. If this option is not selected, the select/move shape tool becomes the current tool after drawing a shape.

Retain shape/point selection on changing key frames. If this option is selected, your current shape or point selection will be preserved when you select a different key frame. If this option is not selected, the current shape or point selection will be lost when you select a different key frame.

Audio Editors Preferences:

You can assign up to 6 audio editors that can assist you in viewing and editing sound for frames and buttons. You do this by pressing the Add button. A popup will be displayed. Press the browse button identified by 3 dots and select the .exe corresponding to an audio edito.

In the course of adding sounds to frames and buttons, you can press the Edit Sound button and a menu will appear with the sound editors you assigned. Selection of a sound editor from the menu will invoke that editor. See Audio Editors for a discussion of recommended freeware and shareware audio editors.

Image Editors Preferences:

You can assign up to 6 image editors that can assist you in viewing and editing images. You do this by pressing the Add button. A popup will be displayed. Press the browse button identified by 3 dots and select the .exe corresponding to an image editor. The image editors are accessible through the paintbrush icon on the image fill page of the fill popup.

Play Preferences:

You can assign the directory from which animations will play. Every time you open a fun file, the play directory will reset to this directory.

Maximum internal stability. This is set by default to on. It will slow the internal player somewhat. If you don't have hang or crashing problems when using the text effects templates environment, turn off this option.

Library Preferences:

You can assign the default file directories for each of the libraries.

Bones Preferences:

Color of bones.


Print and Print as Bitmap Actions

Print and Print as Bitmap actions provide the cability to print key frames from within an animation. Key frames labeled as #P (see Frame Labels) will be printed; otherwise, all key frames will be printed.


Projector Creation

See Exe Creation.


Register KoolMoves

To receive a registration code which will unlock the restrictions of the trial version and which will allow you to receive bonus text effects, go the purchase page of the KoolMoves web site, http://www.koolmoves.com/purchase.html.


Reverse Frames

First display the list of frames (List Frames under Frames menu bar). Select the frames you want to reverse in the list of frames. Select Reverse Frames function under Frames menu bar.


Select Same Color

You can select additional shapes with the same colors as currently selected shapes by using this function.


Score View

A very useful view of the animation is obtained through the Score window. When you press the score button, the Score window floats over your workspace and can be positioned anywhere on your screen. The Score window has four tabbed pages with vertical tabs on the left, each presenting a different view of the animation -- Score, Effects, Actions and Sounds, and Storyboard. The Score view is similar to the timeline window of other Flash tools. It shows the shape population of each key frame and provides functionality for editing frames and shapes. The Effects view allows you to add and manipulate effects. The Actions and Sounds view allows you to add and view frame sounds and actions. The Storyboard view presents thumbnail images of adjacent keyframes.

The top frame bar displays the key frame number. Along the left are the shapes. In each key frame, shapes that are present are displayed as dots. Selected shapes are indicated by blue filled dots. Clicking on a dot selects the shape and moves the animation to that frame.

Right clicking on the current frame in the frame bar at the top of any of the tabbed pages invokes a popup menu with a number of frame editing options.

Right clicking on one or more shapes invokes a popup menu with the option for shifting shapes right or left along the timeline.

The second tabbed page is the Effects view. Clicking on the + icon in the Effects view presents you with a menu of effects that can be applied to the selected shape. The span of the effect can be changed by dragging the side of the box identifying the effect.

The third tabbed page displays frame actions and sounds. Press the + icon to add a frame action or sound. Double-clicking or using right-click on a frame sound or action brings up its properties.

The bottom tab on the Score view show thumbnail images of adjacent key frames.


Screen Saver Creation

SWF Browser at http://www.swifftools.com/stools/ allows you to parse swfs, create screan savers, and make projectors (.exe files from .swf files). Although the product is freeware, some features like sound, swf, and image extraction are locked out until you pay for the product.

SWF Studio at http://www.northcode.com is another useful product.


Select/Move

Select/Move applies to shapes and individual shape points. There are four types of shape and point selection:
(1) The current frame only (the most common).
(2) The entire movie.
(3) All frames from the current frame to the first frame.
(4) All frames from the current frame to the last frame.

The ability to select over multiple frames is very powerful. For example, if you change the color of a shape in the current frame and the shape has been selected over multiple frames, the color change will be applied to each of the selections. To prevent inadvertent sweeping changes, you are first asked if you want to change the other frames. The ability to change selected shapes and points over multiple frames based on what you are chaning in the current frame applies to most of the functions in KoolMoves -- transformations, colors, translation, etc.

Selected shapes and points can be moved with the arrow keys.


List of Shapes

The List of Shapes window which can be positioned anywhere and resized by dragging the resizing marks in the lower right provides the ability to lock shapes, view which shapes are masks and which are masked, cut/copy/paste/delete shapes, and reposition the depth of the shapes. Groups are shown as a hierarchy in the shape tree. Shapes in the editing space can be selected by clicking on their names. A name can be changed by selecting the name, clicking again to get a cursor and typing in a new name like you do in Windows Explorer. A shape name can also be changed in the Score View.


Single Step

Single step play mode allows you to view morphing changes between each tween and key frame. This analysis can help you to decide if you need more tweens or can do with fewer tweens. To exit single step play, press Esc or the Stop button.


Slide Show Wizard

This wizard creates a series of key frames to hold slide show images. The images must be present in a single folder. The wizard queries for the folder name, allows you to order the images and to select the duration each image will display. A simple fade in/fade out transition can be applied. You might want to add buttons to each slide to give the user control. A future version will provide this capability. The slide duration can be edited later in List of Frames using the Frame Duration icon.


Adding Frame Sounds

Sounds (MP3 and .wav PCM formats) can be added to KoolMoves movies. Select Views > Sounds and Actions to invoke a dialog box which allows you to add and delete sounds at frames. There are about 68 individual wav formats. At this time, KoolMoves only supports PCM type.

If you use the same sound file multiple times throughout the movie, it will be referenced that many times in the Flash™ movie but only defined once.

Sound files tend to be huge which can make the exported swf file huge. To make sound small, take these steps: in a sound editing program convert from stereo to mono and to the smallest sample rate that gives you the quality you need. Shortening the sound track also helps.

Sounds can also be attached to button states (e.g. moving the mouse over a button or on pressing a button). See button sounds for more information.

Sounds do not play when running your animation in KoolMoves' internal player.

If a sound plays longer than the movie plays and if the movie loops, the sound from the first loop will continue playing during the second loop until the sound from the first loop finishes. The sound effect worsens as the movie continues to loop. To solve this problem, add Stop Sound action to the last frame.

If your sound file is sampled at a rate other than 5500, 11025, 22050, or 44100, the sound will play in the Flash player at a rate nearest to one of the four rates listed above.


Import and Export SVG

SVG (Scalable Vector Graphics) format is only partially supported at this time. The current implementation is primarily focused on importing and exporting outlines.


Importing Flash Movie as an Object

A Flash™ movie (swf) can be imported as an object. To Import a SWF Object either select File > Import Flash Movie as Object or use the import button located with the drawing tools (the last choice in the submenu "drawer"). The SWF Object can be located anywhere inside a KoolMove's movie and manipulated like any other symbol. Tell Target actions can issue stop, play and stop sound commands to the imported movie.

The movie has its own timeline and cannot be viewed or edited in the KoolMoves editing environment. It will display as a rectangle to show the size and position of your imported SWF and you won t be able to see what the complete movie looks like until it is previewed in a web browser or stand-alone Flash player. You may scale, squish, rotate, move, apply an effect, and flip a SWF Object. Wherever the SWF placeholder rectangle is moved is where the SWF Object will play. The imported SWF will retain all of its sounds and actions of the SWF that you imported.

The imported swf must be in the same directory as the swf referencing it.


SWF Too Big

The Flash player is not built for playing large files. Playing large swf movies can easily freeze a computer. Macromedia recommends that swf file sizes not be larger than 2.5 - 3 MB (the Mac default memory allocation is about 2.5 MB). This is explained in www.macromedia.com/support/flash/ts/documents/bigflash.htm.

Your best options are to either reduce the size of the movie (in particular, MP3 files using products such a GoldWave) or to daisey chain swf movies together using Load Movie action.


Symbol

A symbol is a shape which is drawn once and reused more than once throughout the movie. One of the options in Preferences is to draw shapes as symbols. Drawing shapes as symbols results in the smallest swf file size but puts limitations on how shapes can be changed frame-to-frame. These limitations are acceptable for most designers but would be unacceptable to cartoonists for example.


Tell Target Actions

Tell Target is a means to communicate across multiple timelines. Any movie can control another movie. Your movie has multiple timelines when
1. You create a SWF Object
2. You load a movie into a layer

There are three basic Tell Target functions built into KoolMoves.
1. Stop
2. Play
3. Stop Sounds

More will come later. These actions are located in the Advanced section of the Add Action popup menu.

The tell target actions work just like regular actions with one difference - you must define a target in the target box. Inside a SWF each target is laid out much like a directory. To access the curent main movie's timeline you can use: /. This can be used anywhere to control the current movies timeline. The ../ syntax can also be used to control a higher movie's timeline. So, for example, lets say you want to control the main timeline from an imported SWF Object with Tell Target you would use the ../ syntax. For loaded movies the syntax is a little different. To use Tell Target on a loaded movie you use _leveln/ where n is the level of the loaded movie. If, for example, you want to control a loaded movie in level 1 the target would be: _level1/. To control a SWF Object from the main movie you can use either /Object name or just Object Name.


Dynamic Text

Dynamic text allows user input or can be changed within the animation. It is the second choice in the text submenu "drawer".

The dynamic text field is created by clicking on one corner, dragging the mouse and then releasing to define the opposing corner.

There are a number of properties unique to dynamic text for specifying the look of the dynamic text. The type property sets the font, style and font size and any initial text. Dynamic text is different from static text in that the font lettering data are not contained in the swf. The advantage to this is a much smaller swf. The text is rendered using the font on the user's computer without anti-aliasing. If the specified font is not on the user's computer, a default font is used. The color property defines the color of the text. The border property determines if there is a border. If a border is set, the background of the text field is white with a black border. To have a different background color, you will need to turn border off and create a shape behind the dynamic text object with the color and border of your choice. If Read Only is set, the text cannot be edited. Alignment determines the positioning of text. If multi-line is set, the text can assume multiple lines. If word wrap is set, the text will automatically wrap to create a second line when the first line is filled and so on. If scroll bar is set, a vertical scroll bar is added on the right inside the text field.

The details of the look of that scroll bar is set in scroll bar properties. The first group box defines the properties of the slider and the second group box defines the properties of the track.

This is a scroll bar with customized settings. The border to the text field has been turned off and the borders to the slider and track have been set to 2. A no border text field is displayed with a faint border in the editing environment.

In the editing environment the text field area is defined by crossed lines which go away in the Flash player. Also, no text is displayed in the editing environment.

The text can be changed or retrieved while the animation plays using Set Dynamic Text, Load Dynamic Text, and Send Form Data actions. The use of Send Form Data requires knowledge of GET and POST data sending. http://www.pppmail.com/flash4cgi.htm offers some information on this topic.

If you use & in the text, the Flash player interprets it as the start of a new variable. Replace the & in the text with %26 (unicode mapping). For more details, see www.macromedia.com/support/flash/ts/documents/url_encoding.htm.


Text Fonts

Only a TrueType non-symbol font can be selected for text.


Text to Characters

This function breaks apart a text string into a series of text strings for each character.


Text to Shapes

This function converts a text string into a shape with points. You would probably only want to do this if you need to apply certain transformations to the text such as slant or perspective, to manipulate the individual points of characters comprising the text, or to use a bitmap or color gradient fill. Text in the form of a text object is very efficient because the characters can be shared with other text strings with the same font.


Line/Border Thickness

You can set the line and border thickness for drawing on the tools toolbar and can change the thickness in the Properties dialog. You will see values of .25 and .5 pixels. These line thicknesses cannot be displayed at monitor resolutions and are only useful if a swf file is printed.


Trace Image

You can display an image (.bmp format) in the background of a frame for the purposes of tracing. You select and display the bitmap with File > Trace Image > Display Image. The bitmap is centered on the screen. Use one the drawing tools to duplicate the lines of the image. When you are finished tracing, you clear the image with File > Trace Image > Clear Image. Reposition the shape by selecting it and dragging the mouse or using the arrow keys for fine movement.


Transparent Backgroun

Transparent Background

There is a way to make the background of the movie transparent involving WMODE parameter in the html javascript but it has some major draw backs. Netscape of any platform and IE on the MAC and IE for Unix of any version cannot use WMode. The only browser that can use WMode is MSIE 4.0 or higher on the PC.


Transparency

Solid color and gradient fills can be semi-transparent. On the shape fill dialog box, there is a fill-in area for entering transparency under the fill-in area for the blue component of the color. The range for transparency is 0 (opaque) to 255 (totally transparent).


Borders with Transparency

Borders that have some degree of transparency are not rendered correctly in KoolMoves internal player at this time but are exported correctly to a Shockwave Flash™ movie.


Tween

A tween is a frame generated for you automatically by KoolMoves calculated from the positions and colors of shapes from two key frames. To speed up action between two key frames, assign fewer tweens. Dramatic effects can be achived with 0 tweens. To slow down action or to make the animation smoother, assign more tweens.


Tweening

Tweening is when KoolMoves automatically makes one or more frames that go in between two key frames.


Vector Graphics Applications

The following applications are recommended for saving drawings in a vector format that can be imported into KoolMoves: Sun Star Office (http://www.openoffice.org), PhotoLine 32 (http://www.ciebv.com), Adobe Illustrator, Adobe Photoshop (newest version), and Adobe Streamline. Shapes made with Metafile Companion almost always import faithfully into KoolMoves. Stardraw (freeware) and KTV will convert bitmaps to vectors which can be imported into KoolMoves.


Wav Sounds

See Adding Frame Sounds and Adding Button Sounds


Web Interfaces

The web interfaces library was created by several professional graphic designers. They can be modified by you in content, color, and behavior. They also serve as working examples that you can learn from.


Import WMF

See Import Clipart.